gsc_web_ldap = {
 'title':'GSC LDAP Web Accounts',
 'LDAP_server':'ldap01.bcgsc.ca:389',
 'login_attr':'uid',
 'uid_attr':'uid',
 'rdn_attr':'uid',
 'users_base':'ou=Webusers,dc=bcgsc,dc=ca',
 'users_scope':1,
 'roles':'Anonymous',
 'groups_base':'cn=Webgroups,ou=Groups,dc=bcgsc,dc=ca',
 'groups_scope':1,
 'binduid':'',
 'bindpwd':'',
 'binduid_usage':1,
 'local_groups':0,
 'use_ssl':0,
 'encryption':'SSHA',
 'read_only':1,
 'object_classes':'top,person,organizationalPerson,inetOrgPerson',
}

gsc_ldap_to_plone_schema_mapping = {
'mail': {'public_name': 'email',
          'ldap_name': 'mail',
          'friendly_name': 'Email',
          'multivalued': ''},
'street': {'public_name': 'location',
           'ldap_name': 'street',
           'friendly_name': 'Location',
           'multivalued': ''},
'uid': {'public_name': 'username',
        'ldap_name': 'uid',
        'friendly_name': 'Login Name',
        'multivalued': ''},
'cn': {'public_name': 'fullname',
       'ldap_name': 'cn',
       'friendly_name': 'Full Name',
       'multivalued': ''}
}
