from Products.Five import zcml
from Products.Five import fiveconfigure

from Testing import ZopeTestCase as ztc

from Products.PloneTestCase import PloneTestCase as ptc
from Products.PloneTestCase.layer import onsetup

@onsetup
def setup_ldapreader():
    """Set up the ldapreader
    """
    
    # Load the ZCML configuration
    fiveconfigure.debug_mode = True
    import gsc.plone.ldapreader
    zcml.load_config('configure.zcml', gsc.plone.ldapreader)
    fiveconfigure.debug_mode = False
    
    # Load Packages
    ztc.installPackage('gsc.plone.ldapreader')

    
# The order here is important: We first call the (deferred) function which
# installs the products we need for the Optilux package. Then, we let 
# PloneTestCase set up this product on installation.

setup_ldapreader()
ptc.setupPloneSite(products=['gsc.plone.ldapreader'])

class LDAPReaderTestCase(ptc.PloneTestCase):
    """We use this base class for all the tests in this package. If necessary,
    we can put common utility or setup code in here.
    """
